from faceitpy.types.game import GameData
from faceitpy.types.organizer import OrganizerData
from typing import TypedDict


class HubData(TypedDict):
    hub_id: str
    name: str
    avatar: str
    cover_image: str
    background_image: str
    game_id: str
    region: str
    description: str
    chat_room_id: str
    organizer_id: str
    rule_id: str
    player_joined: int
    min_skill_level: str
    max_skill_level: str
    join_permission: str
    faceit_url: str
